Subject: Re: [bug#56872] [PATCH v2] gnu: mu: Update to 1.8.7.

From: Maxime Devos <[email-masked]>
Date: Tue, 2 Aug 2022 21:59:56 +0200

On 02-08-2022 21:27, muradm wrote:
>
> Thanks, I know.
> My laptop won't survive, to be correct.
> That what I ment :)

The build farm has substitutes for the cross-compiler and the 
cross-compiled glib (at least if you are cross-compiling from 
x86_64-linux), so except for downloading some additional substitutes, 
cross-compiling mu should not take much longer than compiling natively 
(assuming the substitute server is authorised).

In fact, for me it finished after a few seconds because of dependency 
pth fails to cross-compile:

> checking size of short... grep: /usr/include/features.h: No such file 
> or directory
> [...]
>
> ./libtool --mode=compile --quiet aarch64-linux-gnu-gcc -c -I. -O2 
> -pipe pth_mctx.c
> pth_mctx.c: In function '__pth_mctx_set':
> pth_mctx.c:480:2: error: #error "Unsupported Linux (g)libc version 
> and/or platform"
>   480 | #error "Unsupported Linux (g)libc version and/or platform"
>       |  ^~~~~
> make: *** [Makefile:155: pth_mctx.lo] Error 1
> error: in phase 'build': uncaught exception:
>
Greetings,
Maxime.